[COLOR darkgoldenrod]GOD BLESS HIM AND KEEP HIM SAFE.[/COLOR]


[COLOR dodgerblue][B]Version 2.1.61[/B][/COLOR]
- Added "Browse Seasons", "Browse Episodes" & "Unmark Previous Watched" to context menu of single episode lists. As a result, anyone with a custom context menu will need to remake it.
- Other changes/fixes.


[COLOR dodgerblue][B]Version 2.1.60[/B][/COLOR]
- Added "History" and "Saved Links" to both Alldebrid Cloud search and also My Services->Alldebrid. [COLOR darkgoldenrod]Thanks to user monpaf[/COLOR].
- Added Settings->Content->General->Use Season Names When Available.
- Other changes/fixes.


[COLOR dodgerblue][B]Version 2.1.59[/B][/COLOR]
- Band-aid fix for Trending/Trending Recent showing only anime results. Will stay until Trakt fix ther filtering for this endpoint. Clear Lists Cache in Tools->Database & Cache Maintenance for this to take effect immediately.
- Other changes/fixes.


[COLOR dodgerblue][B]Version 2.1.58[/B][/COLOR]
- Defeat.


[COLOR dodgerblue][B]Version 2.1.57[/B][/COLOR]
- Revised implementation of external player detection. Thanks TP.


[COLOR dodgerblue][B]Version 2.1.52/53/54/55/56[/B][/COLOR]
- Fixed Trakt lists.
- Added detection for external playback.
- Other changes/fixes.


[COLOR dodgerblue][B]Version 2.1.49/50/51[/B][/COLOR]
- Tweaked some generic list params.
- Removed some icons from addon.
- Other changes/fixes.


[COLOR dodgerblue][B]Version 2.1.48[/B][/COLOR]
- Fix All Debrid again. Properly.


[COLOR dodgerblue][B]Version 2.1.47[/B][/COLOR]
- Fixed All Debrid resolving, matching new API output.
- Other changes/fixes.


[COLOR dodgerblue][B]Version 2.1.46[/B][/COLOR]
- Added alternate url for RD users who are suffering from the main url being blocked. Go to Accounts->Real Debrid->"Use Alternate URL". Thanks to [COLOR darkgoldenrod]Umbrella Dev[/COLOR] for the alternate url.
- Fixed Trakt user lists search.
- Other changes/fixes.


[COLOR dodgerblue][B]Version 2.1.45[/B][/COLOR]
- Added "TV Show & Anime" to Search menu. Here you can search and include all series, both regular and anime. Uses `tmdb_tv_search` action, so skin intergration should be fixed for skins that support custom search queries.
- Added "Include anime in tv show watched progress" to Content->General. Enable this and your anime watched progress will also appear in the regular tv show progress menus.
- Added External Scrapers filter to settings. On by default.
- Re-fixed art from TMDb.
- Other changes/fixes.


[COLOR dodgerblue][B]Version 2.1.42/43/44[/B][/COLOR]
- Fixed art from TMDb.
- Added "Auto Enable Subtitles" to Settings->Playback-?Playback Utilities. If subtitles are included in the file, Fen Light will enable them.
- Quick fix for search.
- Other changes/fixes.


[COLOR dodgerblue][B]Version 2.1.41[/B][/COLOR]
- Added "Anime" as a Search menu. Only anime results will appear. Similarly, the regular "TV Show" search menu will now exclude anime results.
- Added "Anime" as a Favorites menu. Only anime results will appear. Similarly, the regular "TV Show" favorites menu will now exclude anime results.
- Added Vietnamese to language options.
- Added "Use Weighted Value for Size Sorting" to Settings->Results->Sorting and Filtering. Enable this and Fen Light will weight HEVC file sizes as being equal to 2x a non-HEVC file size for purposes of sorting (not filtering).
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.40[/B][/COLOR]
- Added Anime Watched, Anime Recently Watched, Anime In Progress, Anime Recently Watched Episodes, Anime In Progress Episodes & Anime Next Episodes' to the Anime section. From now, Anime will be more sectioned off into the 'Anime' section of the addon. This means watched status lists for anime will only appear in this new menu, not the 'TV Shows' instance of watched status lists. To access these new menu items, navigate to the Anime section and, from the context menu, select 'Restore Menu', which will restore the menu to default and add the new menu items.
- Added "Limit Results Per Quality" to Settings->Results->Sorting & Filtering. Set a value on this, and Fen Light will limit the results shown for each quality (4K, 1080p etc) to that value.
- Added "Limit Results Total" to Settings->Results->Sorting & Filtering. Set a value on this, and Fen Light will limit the total results shown.
- Added "Language" to Discover menu for Movies and TV Shows. Set the original language for the content you want.
- Added Custom Poster and Custom Fanart for Trakt My User Lists and Trakt Liked User Lists. Options found in the context menu.
- Fix for "finish watching at..." time reporting to show accurate data when there is a resume point on the media. For skins that show this info.

[COLOR dodgerblue][B]Version 2.1.39[/B][/COLOR]
- Icon choice will persist through custom windows.
- Fixewd In Progress Episodes not displaying when sort set to title.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.38[/B][/COLOR]
- Quick fixes for Autoplay Cloud Sources.

[COLOR dodgerblue][B]Version 2.1.37[/B][/COLOR]
- Included episodes when considering hide watched items for widgets.
- Added "Autoplay Cloud Result" to each account's settings. Enable this and any cloud result found after a prescrape will be automatically played.
- Added "Avoid Episode Spoilers in Custom Windows" to Settings->Content->General. This will hide plot and thumb spoilers from FenLightAM's custom windows.
- Added "Retry With IMDb Year Data When No Results" to Settings->Results->General.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.36[/B][/COLOR]
[COLOR darkgoldenrod]Thanks for the nice Easynews playback workaround find [B]Kodifitzwell[/B].[/COLOR]
- Added Settings->Playback->Playback Utilities->"Easynews Playback Method". Use this to set a playback method to resolve Easynews links...
NONE: No special method used.
RETRY: Retries the EN link if it fails the first time (slow and doesn't work on some hardware).
NO SEEK: Tells Kodi the file is not seekable, which makes EN happy. The file will usually play first try and quickly, but you will not be able to seek forward/backward outside of the current cached data.
BOTH: Will use NO SEEK, and will also allow for RETRY. Probably not needed for most setups. But this covers all.

[COLOR dodgerblue][B]Version 2.1.35[/B][/COLOR]
- Quick fixes.

[COLOR dodgerblue][B]Version 2.1.34[/B][/COLOR]
- Quick fixes.

[COLOR dodgerblue][B]Version 2.1.33[/B][/COLOR]
- Fix for personal lists not showing after recent re-write.

[COLOR dodgerblue][B]Version 2.1.32[/B][/COLOR]
- Added support for importing lists from external sources to Personal Lists.
- Added Settings->Playback->Movies->Show Credits Stinger Alert. Enable this and Fen Light will alert you, towards the end of playback, as to whether there are During and/or After Credit Stingers to watch.
- Added Settings->Contents->General->Ignore Articles when Sorting Lists.
- Added ability to delete RD Cloud files directly from results (in context menu).
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.31[/B][/COLOR]
- Added "Retry With Cache Check Ignored When No Results" to Settings->Results->General. If set to "Auto", then if there are no cached RD/AD results it will automatically show all results as Unchecked.

[COLOR dodgerblue][B]Version 2.1.30[/B][/COLOR]
- There are now 2 easily accessible methods to toggle the state of check cache status (RD & AD) and rescrape. Either through the Playback Options context menu item or through the results sideblade.
- Fixed "random" not working as a sort for self made Discover lists.
- Other quick fixes.

[COLOR dodgerblue][B]Version 2.1.29[/B][/COLOR]
- Added "Check for cached status of Results (RD & AD)" to Settings->Accounts->External Scrapers. Enabled by default. Enable this and Fen Light will attempt to determine the cached status of external results for Real Debrid and all Debrid. This is by no means fully accurate, and you will likely often receive less overall results than with this disabled. But if using it, all results shown are likely cached on their servers and can be played immediately (removes the "Unchecked" parameter for RD and AD results).
- Added "Toggle External Cache Check" to Playback Options so you can more easily enable or disable the new cache check.
- Added "Assign Addon Icon Image" to Settings->General->General. Use this to choose from the available addon icons shipped with Fen Light AM.
[COLOR darkgoldenrod]Big thanks to user [B]"mgudarzi"[/B] for providing some great icons.[/COLOR] Hop on to my github if you want to have icons included. Please make them 512x512, and small in filesize (50kb or less).
- Added sort ability to TMDb List content (content within your personal lists from TMDb). Access through Context Menu->Edit Properties->Change Sort Order when in the TMDb Lists menu.
- Added sort ability to TMDb Lists (your personal lists from TMDb). Access in Settings->Accounts->TMDb Lists->Lists Display Sort Order.
- Changed "Custom Autoplay Sort To Top" to "Custom Sort To Top". This setting will now apply to non-autoplay results as well if chosen. These will need to be re-set.
- Simplified random widgets caching.
- Reworked custom context menu editing. You can now re-add a removed item without having to restore the context menu to default.

[COLOR dodgerblue][B]Version 2.1.27/28[/B][/COLOR]
[BUG] Various fixes.

[COLOR dodgerblue][B]Version 2.1.26[/B][/COLOR]
[BUG] Various fixes.

[COLOR dodgerblue][B]Version 2.1.25[/B][/COLOR]
- [BUG] Quick fix for media tagged with 5.1 audio being recognized as a file for S05E01.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.24[/B][/COLOR]
[BUG] Various fixes.

[COLOR dodgerblue][B]Version 2.1.23[/B][/COLOR]
- [REQUEST] Added custom artwork to TMDb User Lists.
- [REQUEST] Added ability to use 4 random posters/fanart from items in list when making custom artwork for the list.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.22[/B][/COLOR]
- [REQUEST] Added custom poster/fanart for Personal Lists. This means for the list itself. Found within the "Edit Properties" context menu item.
- [CODE] A fair few fixes for small bugs throughout addon.
- [CODE] More code refactoring.

[COLOR dodgerblue][B]Version 2.1.20/21[/B][/COLOR]
- [BUG] Quick fix for addon constantly re-caching empty dropped item results from Trakt.
- [REQUEST] Added Trakt Auth code to display when Authorizing Trakt.
- [CODE] Added support for TMDb and Personal Lists to Random Shortcut Folder.
- Other fixes.

[COLOR dodgerblue][B]Version 2.1.19[/B][/COLOR]
- [REQUEST] Added "Refresh Widgets" and "Reload Widgets" to the context menu editor (Settings->Content->Context Menu). This means if you want to use these 2 context menu items (they appear on widgets only) then you will need to restore the context menu to default through the above setting to regain access to them.
- [REQUEST] Made "Add to Watchlist", "Remove from Watchlist", "Add to Collection", "Remove from Collection" more accessible from the Trakt Manager (one level higher).
- [REQUEST] Added warning for Context menu items in Personal Lists and TMDb Lists that will alter the contents of the list if selected e.g. "Import Trakt List".
- [BUG] Fixed Episode Groups.
- [BUG] Fixed incorrect occasional refreshing of container after episode playback. May fix a couple of niggling issues.
- [CODE] Converted all online images to within addon. This could cause issues. Please report on Github if any found.

[COLOR dodgerblue][B]Version 2.1.18[/B][/COLOR]
- [BUG] Quick fix for Internal Sources.

[COLOR dodgerblue][B]Version 2.1.17[/B][/COLOR]
- [BUG] Fixes.

[COLOR dodgerblue][B]Version 2.1.16[/B][/COLOR]
- Some changes to Trakt Sync and refresh token code.
- Some tweaks to TMDb and Personal Lists.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.15[/B][/COLOR]
- [BUG] Code fixes for TMDb Lists and new "dropped" Trakt implementation. Thanks Tikipeter.
- [FEATURE] Added ability to directly import a Trakt list whilst making a new TMDb or Personal list. Removes one step in the process. Thanks Tikipeter.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.14[/B][/COLOR]
- [REQUEST] Added TMDb Lists to "My Lists". Authenticate your TMDb account in Settings->Accounts->TMDb Lists to access your lists. Lists will respect paginate settings. There is also a "TMDb Lists Manager" in the context menu for Movies and TV Shows. You will need to restore the context menu to default to start seeing it.
- [REQUEST] Importing into TMDb Lists a Trakt Collection/Watchlist/Personal List is possible. Importing a Liked List is NOT possible, so as to avoid abuse of TMDb's lists service. Imports will respect current sorting settings. This will NOT "link" your Trakt list to the TMDb list, it will import a "snapshot" of the list in it's current state. There is a 450 item limit on Trakt List imports. Any extra over that figure will be ignored. Please keep the TMDb lists within reason.
- [FEATURE] Importing a Trakt List to Personal Lists or TMDb Lists will now include a prompt to rename that list to the Trakt List's name.
- [FEATURE] Switched to Trakt's "Dropped" reporting. Dropped shows will be filtered out of Trakt Calendar as well as Next Episodes. Users are encouraged to migrate their hidden shows to dropped through the Trakt website.
- [FEATURE] Converted all appropriate account auths to use dynamic QRCodes. Account auths now support QRCodes, tiny urls and copying to clipboard when possible.
- [CODE] Moved enabling RPDB (Ratings) posters out of Accounts and into the Contents->General settings tab. It will appear when a valid API Key is inserted in the Account settings.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.13[/B][/COLOR]
- [BUGS] Couple of quick fixes for Person search in IvarBrandt's skins and cache cleaning.

[COLOR dodgerblue][B]Version 2.1.11/12[/B][/COLOR]
- [BUG] Fixed some random menus.
- [BUG] Fixed info window for scrape results.
- [BUG] Fixed Watchlist not showing for Next Episodes.
- [CODE] Finished most code refactoring.

[COLOR dodgerblue][B]Version 2.1.10[/B][/COLOR]
- [REQUEST] Added ability for Fen Light to remember your reuselanguageinvoker state when updating.
- [REQUEST] Added RPDb (Rating Posters) support. Enter your API in Settings->Accounts, then clear the meta cache.

[COLOR dodgerblue][B]Version 2.1.07/08/09[/B][/COLOR]
- [BUG] Quick fix for Movie sets and "More Like this" list.
- [BUG] Quick fix for navigation lists not loading on new installs.
- [BUG] Quick fix for incorrect detection of current skin name and font type.

[COLOR dodgerblue][B]Version 2.1.01/02/03/04/05/06[/B][/COLOR]
- [FEATURE] Adjusted Trakt token refresh to 24 hours.
- [FEATURE] Added "Personal Lists" to My Lists. Here you can make personal lists that can be used on this instance of Fen Light. Movies or TV Shows supported.
- [FEATURE] Added Settings->Content->Context Menu->"Context Menu Order" to change the order of Context Menu items for media displayed by Fen Light. Idea from Kodifitzwell.
- [FEATURE] Added more flexibility for using external sources modules.
- [CODE] Large refactoring of code.

[COLOR dodgerblue][B]Version 2.0.07[/B][/COLOR]
- Added support for Season and Episode items included in Trakt list contents (My Lists, Liked Lists).
- Updated Trakt icon.
- Many smaller tweaks to various functions.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.0.06[/B][/COLOR]
- Fixed Results Highlight Color bug.
- Added TorBox highlight color choice.
- Fixed AI Upscaled/Enhanced filter not working. You will need to re-set this if you want to Exclude these results.
- Fixed Offcloud login accepting incorrect credentials.
- Fixed "Browse" in single episode list to honor flatten seasons setting.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.0.05[/B][/COLOR]
- Added OffCloud suppport. Big thanks to kodifitzwell who allowed me to steal a large portion of his code.
- Added Easydebrid suppport. Big thanks to kodifitzwell who allowed me to steal a large portion of his code.
- Added TorBox suppport. Big thanks to kodifitzwell who allowed me to steal a large portion of his code. Big thanks also to [B]DaleAlanC[/B] for lending me their account.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.0.04[/B][/COLOR]
- AD fix.
- Reinstate Upload Manager, but I have disabled the Rollback Feature.
- Added settings General->Manage Addon Updates... "Github Username" & "Github Repo Address". In these, you can enter the username and repo address of another dev who may wish to push a Fen Light release. Devs will need to check the code within updater.py and make sure their repo is structured correctly. Basically repo_name/packages/CONTENT.

[COLOR dodgerblue][B]Version 2.0.03[/B][/COLOR]
- Let's try this again.
- Fixed Reviews in Extras Menu. Clear IMDb cache and restart Kodi to refresh new data.
- Added some to the Years menu.
- Final release of this addon. Hopefully. So long all.

[COLOR dodgerblue][B]Version 2.0.02[/B][/COLOR]
- Oop. Spoke too soon.
- Fix for browsing/downloading pack results through RD.
- Quick fix for some media causing error when saving to favorites.
- Quick fix to correct sequential playback.
- Final release of this addon. Hopefully. So long all.

[COLOR dodgerblue][B]Version 2.0.01[/B][/COLOR]
- Fixed RD compatibility.
- Removed update service.
- Final release of this addon. So long all.

[COLOR dodgerblue][B]Version 1.0.94[/B][/COLOR]
NOTE: THERE ARE NO FIXES IN THIS RELEASE FOR REAL DEBRID INTEGRATION.
- Added info for the unwatched count for single episode lists. This only shows for skins that support this.
- Added Settings->Single Episode Lists->Trakt Calendar->"Flatten TV Shows Airing on Same Day". Use this to limit single episode lists to only display the first episode when multiple episodes are released on the same day.
- Added ability to manually enter view type ids if needed. Enable "Control Viewtypes Within Addon" in Settings->Content->General, then you can enable "Manually Enter Viewtype Values" and enter the viewtype ids.
- Fixed progress status on episodes when opening all instead of seasons.
- Better detection of best instance of video for Official, first released trailer.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.93[/B][/COLOR]
- Couple of quick fixes.

[COLOR dodgerblue][B]Version 1.0.92[/B][/COLOR]
- [CONTEXT MENU->OPTIONS->ASSIGN AN EPISODE GROUP TO...] Added option for TV Shows to assign an episode group from TMDb. These episode groups cover alternate season and episode orders based on other parameters. For example, it might be possible to set the episode order for a TV Show based on it's streaming aired order, or it's order from another service such as TVDb. These Custom Episode Groups will not change how the episodes are arranged within Fen Light, rather the information from them will be used when scraping for results for playback. This feature may be particularly useful when dealing with Anime content, but can be set for any TV Show.
- Added Settings->Results->General->"Retry With Custom Episode Group When No Results". Enable this and Fen Light will rescrape using a custom episode group if no results are found. If a custom episode group is already assigned to the TV Show (above for details), then a rescrape will occur using instead the default season/episode values instead.
- Added Settings->General->General->"Limit Concurrent Threads". Use this if your device is erroring by not allowing python to start new threads once a certain threshold is reached. There is a hard limit of 60 if this is not enabled and set to a user preference. Min/max settings are 10/300.
- Temporary workaround for the RD "no cached results" error currently randomly affecting calls to check RD's cache. Will be removed once their API is fixed for this endpoint.
- Fixed "Parental Guide" in Extras window. To get fresh results (empty results are cached), clear IMDb Database and restart Kodi.
- Improved trailer choice for metadata. Clear metadata cache for benefits.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.90/91[/B][/COLOR]
- Added Settings->Results->Sorting & Filtering->"Custom Autoplay Sort To Top". This will allow you to set 5 different video/audio characteristics that you wish to see brought to the top of the sources list for autoplay. Things like "HEVC" or "DOLBY VISION" etc. These will be weighted on importance, with the higher the position in the list of 5 the higher the importance when sorting to the top.
- As a result, the other filtering options which previously featured an "INCLUDE, EXCLUDE, PREFER (AUTOPLAY)" setting have been reset, and the "PREFER (AUTOPLAY)" option has been removed.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.89[/B][/COLOR]
- Couple of quick fixes.

[COLOR dodgerblue][B]Version 1.0.88[/B][/COLOR]
- Quick fix for PM browsing.

[COLOR dodgerblue][B]Version 1.0.87[/B][/COLOR]
- Fixed incorrect aired episode totals in seasons container.
- Optimizations to service procedures to help Fen Light start quicker on Kodi opening.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.86[/B][/COLOR]
- FIXED UPDATER BUG. IT IS SAFE TO UPDATE TO THIS VERSION. IF YOU ARE ON VERSION 1.0.85, THEN DOWNGRADE FIRST BEFORE UPDATING.
- Fixed searching Trakt user lists.
- Fixed little filter error in fetching MPAA ratings.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.85[/B][/COLOR]
- Added Settings->Content->General->"Service used for Because You Watched". Choose which service provides recommendations for the Because You Watched menus. Options are Recommended (TMDb) or More Like This (IMDb). TMDb by default.
- Added "Because You Watched" section to the Random menu. This will take random media from up to the last 5 movies/episodes you have watched, select one of those at random, and display recommended media from that watched item.
- Added Settings->Content->General->"Seeds used for Because You Watched Random". Choose how much previously watched media is used for recommendations for the Because You Watched Random menu. You can choose from the previous 1 to 5 watched items as the list from which the seed will be added.
- Partial fix for Parental Guidance in Extras window. IMDb look to be in the process of changing this on their website, so if the new layout loads, it will still not work. Clear Main Cache to clear any null values for this.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.83/84[/B][/COLOR]
- Added a favorites entry for Anime. All shows favorited from within the Anime section will be saved as an Anime favorite, rather than a TV Show favorite.
- Added "Anime" to the Search menu. Will exclusively search for Anime TV Shows. Can be added to the Anime section if preferred using the menu edit system.
- Added Settings->Content->General->Include Unaired Media in Trakt Watchlists. On by default. Disable this to hide Movies/TV Shows in your Trakt Watchlists that have yet to air.
- Lowered caching times of some lists. Raised caching times of some others.
- Reduced to 12 hours the cached contents of Trakt "Liked" lists.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.81/82[/B][/COLOR]
- Added 'Anime' section to Root Menu (Main Menu). To add this, context menu on any current Root Menu item->Check for New Menu Items. Add the Anime menu item where you please. If this doesn't work, then select Context Menu->Restore Menu.
- Anime is also included in the "Random Lists" menu, where the Anime lists can be randomized just like the Movie and TV Show lists.
- Added Settings->Content->General->"Watched (Still Airing) TV Shows Location". Select from "Watched", "In Progress" or "Both". This decides which menu fully watched, but still airing, TV Shows will be included in. Default is "Watched" (which is the current behavior).
- Excluded some genres from the "Popular" TV Shows list. Atleast until TMDb get that list sorted out. Clear the Lists cache to get slightly better results there.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.78/79/80[/B][/COLOR]
- Added "AI Enhanced/Upscaled Files Filter" to Settings->Results->Sorting and Filtering. Set to Include, Exclude, Prefer (Autoplay).
- Fix for Trakt liked lists not updating with new content. New content will be checked for every 24 hours.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.77[/B][/COLOR]
- Small adjustments to Extras and People windows.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.76[/B][/COLOR]
- More fine tuning of random widgets, mainly concerning the shortcuts folder. This is quickly becoming messy code though, which I'm not a fan of.
- Other changes/fixes.
- God Bless him and keep him safe.

[COLOR dodgerblue][B]Version 1.0.75[/B][/COLOR]
- Couple more adjustments to random widgets functions.

[COLOR dodgerblue][B]Version 1.0.74[/B][/COLOR]
- Added Settings->Results->Sorting and Filtering->Results Size Sort Direction. Default to Descending.
- Quick fix for auto widget refreshing.

[COLOR dodgerblue][B]Version 1.0.72/73[/B][/COLOR]
- Added "Single Episode Lists" settings category. Some re-organizing of settings.
- Added Settings->Content->Widgets->"Refresh Widgets on Timer". Enable this, set a timer value, and FenLight will refresh your widgets when the timer is due. Off by default. Also added boolean to enable/disable Notifications when this occurs. If you use "random" widgets (made using the various methods in Fen Light) then you will need to set a value here or else the random widgets will only show fresh random content on each Kodi start.
- Bifurcated (thanks for the new word) Minimum Size setting into movies/episodes for filtering results.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.71[/B][/COLOR]
- Quick fix for choosing Easynews language filters.

[COLOR dodgerblue][B]Version 1.0.70[/B][/COLOR]
- Quick fix for Extras Videos.

............
............
............

[COLOR dodgerblue][B]Version 1.0.0[/B][/COLOR]
- Initial Release
- This is an English language only addon.






++
